#***********************************************************************
#*  LOCALE source for "JAP3" (for IBM-942)                             *
#*                                                                     *
#*  IBM VisualAge C++ for OS/2, Version 3.00                           *
#*  (C) Copyright IBM Corp. 1991, 1995.                                *
#*  - Licensed Material - Program-Property of IBM                      *
#*  - All rights reserved                                              *
#*                                                                     *
#***********************************************************************

#############
LC_CTYPE
#############

upper   <A>;<B>;<C>;<D>;<E>;<F>;<G>;<H>;<I>;<J>;<K>;<L>;<M>;\
        <N>;<O>;<P>;<Q>;<R>;<S>;<T>;<U>;<V>;<W>;<X>;<Y>;<Z>

lower   <a>;<b>;<c>;<d>;<e>;<f>;<g>;<h>;<i>;<j>;<k>;<l>;<m>;\
        <n>;<o>;<p>;<q>;<r>;<s>;<t>;<u>;<v>;<w>;<x>;<y>;<z>

alpha   <A>;<B>;<C>;<D>;<E>;<F>;<G>;<H>;<I>;<J>;<K>;<L>;<M>;\
        <N>;<O>;<P>;<Q>;<R>;<S>;<T>;<U>;<V>;<W>;<X>;<Y>;<Z>;\
        <a>;<b>;<c>;<d>;<e>;<f>;<g>;<h>;<i>;<j>;<k>;<l>;<m>;\
        <n>;<o>;<p>;<q>;<r>;<s>;<t>;<u>;<v>;<w>;<x>;<y>;<z>;\
        <kana_WO>;<kana_a>;<kana_i>;<kana_u>;<kana_e>;<kana_o>;<kana_ya>;\                     
        <kana_yu>;<kana_yo>;<kana_tsu>;<prolongedsound>;<kana_A>;<kana_I>;\                      
        <kana_U>;<kana_E>;<kana_O>;<kana_KA>;<kana_KI>;<kana_KU>;\                     
        <kana_KE>;<kana_KO>;<kana_SA>;<kana_SHI>;<kana_SU>;<kana_SE>;\                     
        <kana_SO>;<kana_TA>;<kana_CHI>;<kana_TSU>;<kana_TE>;<kana_TO>;\                     
        <kana_NA>;<kana_NI>;<kana_NU>;<kana_NE>;<kana_NO>;<kana_HA>;\                     
        <kana_HI>;<kana_FU>;<kana_HE>;<kana_HO>;<kana_MA>;<kana_MI>;\                     
        <kana_MU>;<kana_ME>;<kana_MO>;<kana_YA>;<kana_YU>;<kana_YO>;\                     
        <kana_RA>;<kana_RI>;<kana_RU>;<kana_RE>;<kana_RO>;<kana_WA>;\                     
        <kana_N>;<voicedsound>;<semivoicedsound>               

digit   <zero>;<one>;<two>;<three>;<four>;\
        <five>;<six>;<seven>;<eight>;<nine>

space   <tab>;<newline>;<vertical-tab>;<form-feed>;\
        <carriage-return>;<space>

cntrl   <alert>;<backspace>;<tab>;<newline>;<vertical-tab>;\
        <form-feed>;<carriage-return>;\
        <NUL>;<SOH>;<STX>;<ETX>;<EOT>;<ENQ>;<ACK>;<SO>;\
        <SI>;<DLE>;<DC1>;<DC2>;<DC3>;<DC4>;<NAK>;<SYN>;\
        <ETB>;<CAN>;<EM>;<SUB>;<ESC>;<IS4>;<IS3>;<IS2>;\
        <IS1>;<DEL>

punct   <exclamation-mark>;<quotation-mark>;<number-sign>;\
        <dollar-sign>;<percent-sign>;<ampersand>;<apostrophe>;\
        <left-parenthesis>;<right-parenthesis>;<asterisk>;\
        <plus-sign>;<comma>;<hyphen>;<period>;<slash>;\
        <colon>;<semicolon>;<less-than-sign>;<equals-sign>;\
        <greater-than-sign>;<question-mark>;<commercial-at>;\
        <left-square-bracket>;<backslash>;<right-square-bracket>;\
        <circumflex>;<underscore>;<grave-accent>;\
        <left-curly-bracket>;<vertical-line>;<right-curly-bracket>;<tilde>;\
        <kana_fullstop>;<cent>;<sterling>;<not>;<kana_openingbracket>;\
        <kana_closingbracket>;<kana_comma>;<kana_conjunctive>;\
        <A>;<B>;<C>;<D>;<E>;<F>;<G>;<H>;<I>;<J>;<K>;<L>;<M>;\
        <N>;<O>;<P>;<Q>;<R>;<S>;<T>;<U>;<V>;<W>;<X>;<Y>;<Z>;\
        <a>;<b>;<c>;<d>;<e>;<f>;<g>;<h>;<i>;<j>;<k>;<l>;<m>;\
        <n>;<o>;<p>;<q>;<r>;<s>;<t>;<u>;<v>;<w>;<x>;<y>;<z>


xdigit  <zero>;<one>;<two>;<three>;<four>;\
        <five>;<six>;<seven>;<eight>;<nine>;\
        <A>;<B>;<C>;<D>;<E>;<F>;\
        <a>;<b>;<c>;<d>;<e>;<f>

blank   <space>;\
        <tab>

toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
        (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
        (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
        (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
        (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);\
        (<z>,<Z>)

tolower (<A>,<a>);(<B>,<b>);(<C>,<c>);(<D>,<d>);(<E>,<e>);\
        (<F>,<f>);(<G>,<g>);(<H>,<h>);(<I>,<i>);(<J>,<j>);\
        (<K>,<k>);(<L>,<l>);(<M>,<m>);(<N>,<n>);(<O>,<o>);\
        (<P>,<p>);(<Q>,<q>);(<R>,<r>);(<S>,<s>);(<T>,<t>);\
        (<U>,<u>);(<V>,<v>);(<W>,<w>);(<X>,<x>);(<Y>,<y>);\
        (<Z>,<z>)

END LC_CTYPE


#############
LC_COLLATE
#############

order_start
# ASCII Control characters
<NUL>
<SOH>
<STX>
<ETX>
<EOT>
<ENQ>
<ACK>
<alert>
<backspace>
<tab>
<newline>
<vertical-tab>
<form-feed>
<carriage-return>
<SO>
<SI>
<DLE>
<DC1>
<DC2>
<DC3>
<DC4>
<NAK>
<SYN>
<ETB>
<CAN>
<EM>
<SUB>
<ESC>
<IS4>
<IS3>
<IS2>
<IS1>
<exclamation-mark>
<quotation-mark>
<number-sign>
<dollar-sign>
<percent-sign>
<ampersand>
<left-parenthesis>
<right-parenthesis>
<asterisk>
<plus-sign>
<comma>
<period>
<slash>
<zero>
<one>
<two>
<three>
<four>
<five>
<six>
<seven>
<eight>
<nine>
<colon>
<semicolon>
<less-than-sign>
<equals-sign>
<greater-than-sign>
<apostrophe>             
<hyphen>                 
<question-mark>
<commercial-at>
<A>
<B>
<C>
<D>
<E>
<F>
<G>
<H>
<I>
<J>
<K>
<L>
<M>
<N>
<O>
<P>
<Q>
<R>
<S>
<T>
<U>
<V>
<W>
<X>
<Y>
<Z>
<left-square-bracket>
<backslash>
<right-square-bracket>
<circumflex>
<space>       <circumflex>
<underscore>
<grave-accent>
<a>           <A>
<b>           <B>
<c>           <C>
<d>           <D>
<e>           <E>
<f>           <F>
<g>           <G>
<h>           <H>
<i>           <I>
<j>           <J>
<k>           <K>
<l>           <L>
<m>           <M>
<n>           <N>
<o>           <O>
<p>           <P>
<q>           <Q>
<r>           <R>
<s>           <S>
<t>           <T>
<u>           <U>
<v>           <V>
<w>           <W>
<x>           <X>
<y>           <Y>
<z>           <Z>
<left-curly-bracket>
<vertical-line>
<right-curly-bracket>
<tilde>
<DEL>
UNDEFINED
order_end

END LC_COLLATE

#############
LC_MONETARY
#############

int_curr_symbol   "<J><P><Y><space>"
currency_symbol   "<Y><E><N>"
mon_decimal_point "<period>"
mon_thousands_sep "<comma>"
mon_grouping      "3;0"
positive_sign     ""
negative_sign     "<hyphen>"
int_frac_digits   0
frac_digits       0
p_cs_precedes     1
p_sep_by_space    0
n_cs_precedes     1
n_sep_by_space    0
p_sign_posn       1
n_sign_posn       3

END LC_MONETARY


#############
LC_NUMERIC
#############

decimal_point     "<period>"
thousands_sep     "<comma>"
grouping          "3;0"

END LC_NUMERIC


#############
LC_TIME
#############

abday   "<j3892>";\
        "<j2378>";\
        "<j1848>";\
        "<j3169>";\
        "<j4458>";\
        "<j2266>";\
        "<j3758>"

day     "<j3892><j4543><j3892>";\
        "<j2378><j4543><j3892>";\
        "<j1848><j4543><j3892>";\
        "<j3169><j4543><j3892>";\
        "<j4458><j4543><j3892>";\
        "<j2266><j4543><j3892>";\
        "<j3758><j4543><j3892>"

abmon   "<one><j2378>";\
        "<two><j2378>";\
        "<three><j2378>";\
        "<four><j2378>";\
        "<five><j2378>";\
        "<six><j2378>";\
        "<seven><j2378>";\
        "<eight><j2378>";\
        "<nine><j2378>";\
        "<one><zero><j2378>";\
        "<one><one><j2378>";\
        "<one><two><j2378>"

mon     "<one><j2378>";\
        "<two><j2378>";\
        "<three><j2378>";\
        "<four><j2378>";\
        "<five><j2378>";\
        "<six><j2378>";\
        "<seven><j2378>";\
        "<eight><j2378>";\
        "<nine><j2378>";\
        "<one><zero><j2378>";\
        "<one><one><j2378>";\
        "<one><two><j2378>"

# equivalent of AM/PM (%p)
am_pm      "<j2465><j3316>";"<j2465><j2469>"

# appropriate date and time representation (%c) "%Y”N0d“ú(%a) %p%IŽž%M•ª%S•b"

d_t_fmt "<percent-sign><Y><j3915><percent-sign><B><percent-sign><d><j3892>\
<left-parenthesis><percent-sign><a><right-parenthesis><space><percent-sign>\
<p><percent-sign><I><j2794><percent-sign><M><j4212><percent-sign><S><j4135>"

# appropriate date representation (%x) "%y/%m/%d"
d_fmt      "<percent-sign><y><slash><percent-sign><m><slash><percent-sign><d>"

# appropriate time representation (%X) "%H:%M:%S"
t_fmt      "<percent-sign><H><colon><percent-sign><M><colon><percent-sign><S>"

# appropriate 12-hour time representation (%r) "%I:%M:%S %p"
t_fmt_ampm "<percent-sign><I><colon><percent-sign><M><colon><percent-sign><S>\
<space><percent-sign><p>"

END LC_TIME


#############
LC_MESSAGES
#############

yesexpr "<circumflex><left-parenthesis><left-square-bracket><y><Y>\
<right-square-bracket><left-square-bracket><e><E><right-square-bracket>\
<left-square-bracket><s><S><right-square-bracket><vertical-line>\
<left-square-bracket><y><Y><right-square-bracket><right-parenthesis>"
noexpr "<circumflex><left-parenthesis><left-square-bracket><n><N>\
<right-square-bracket><left-square-bracket><o><O><right-square-bracket>\
<vertical-line><left-square-bracket><n><N><right-square-bracket>\
<right-parenthesis>"

END LC_MESSAGES

#############
LC_TOD
#############

timezone_difference -540
timezone_name       "<J><S><T>"
daylight_name       ""
shift               0

END LC_TOD
